org.gradle.nativeplatform.tasks

## Class InstallExecutable

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.nativeplatform.tasks.InstallExecutable

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class InstallExecutable
      extends DefaultTask

  Installs an executable with it's dependent libraries so it can be easily executed.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstallExecutable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getDestinationDir()` The directory to install files into.
    `File` | `getExecutable()` The executable file to install.
    `protected org.gradle.api.internal.file.FileOperations` | `getFileOperations()`
    `protected org.gradle.internal.nativeintegration.filesystem.FileSystem` | `getFileSystem()`
    `FileCollection` | `getLibs()` The library files that should be installed.
    `NativePlatform` | `getPlatform()` The platform describing the install target.
    `File` | `getRunScript()` Returns the script file that can be used to run the install image.
    `ToolChain` | `getToolChain()` The tool chain used for linking.
    `void` | `install()`
    `void` | `lib(Object libs)` Adds a set of library files to be installed.
    `void` | `setDestinationDir(File destinationDir)`
    `void` | `setExecutable(File executable)`
    `void` | `setLibs(FileCollection libs)`
    `void` | `setPlatform(NativePlatform platform)`
    `void` | `setToolChain(ToolChain toolChain)`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InstallExecutable

          @Inject
          public InstallExecutable()

  - ### Method Detail

    - #### getToolChain

          @Internal
          public ToolChain getToolChain()

      The tool chain used for linking.

    - #### setToolChain

          public void setToolChain(ToolChain toolChain)

    - #### getPlatform

          public NativePlatform getPlatform()

      The platform describing the install target.

    - #### setPlatform

          public void setPlatform(NativePlatform platform)

    - #### getDestinationDir

          @OutputDirectory
          public File getDestinationDir()

      The directory to install files into.

    - #### setDestinationDir

          public void setDestinationDir(File destinationDir)

    - #### getExecutable

          @InputFile
          public File getExecutable()

      The executable file to install.

    - #### setExecutable

          public void setExecutable(File executable)

    - #### getLibs

          @InputFiles
          public FileCollection getLibs()

      The library files that should be installed.

    - #### setLibs

          public void setLibs(FileCollection libs)

    - #### lib

          public void lib(Object libs)

      Adds a set of library files to be installed. The provided libs object is evaluated as per `Project.files(Object...)`.

    - #### getRunScript

          @Internal
          public File getRunScript()

      Returns the script file that can be used to run the install image.

    - #### getFileSystem

          @Inject
          protected org.gradle.internal.nativeintegration.filesystem.FileSystem getFileSystem()

    - #### getFileOperations

          @Inject
          protected org.gradle.api.internal.file.FileOperations getFileOperations()

    - #### install

          public void install()